For the complete documentation index, see llms.txt. This page is also available as Markdown.

/faces

Retrieves all specimens (faces) from the database that match the tenantId. If omitted, all elements will be returned.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tenantIdstringRequired

An identifier used to group different images or biometric templates in a common space.

Example: 57fbc814-3f40-402c-9d29-262f99c3b896
Responses
200

All specimens (faces) stored in the database with the same tenantId.

application/json

Data fields of several specimens in the database

createAtstringOptional

Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was created.

Example: 2024-11-20T15:39:32Z
descriptionstringOptional

Description of the specimen (face) stored in the database.

Example: It's a description of the person
facialTemplateRawstringOptional

An extended token that contains biometric templates and metadata. Storing it in databases is recommended because it is persistent. It may be updated automatically if the extraction technology changes. It is encoded in base64 RFC4648.

Example: QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...
idstringOptional

An identifier of a specimen (face) in the database.

Example: 6782225b-1793-4b68-a9de-8fdb3628c7e5
mediaIdstringOptional

An image identifier in the database.

Example: 9c79c818-b81a-4959-b65a-a2b0c8143528
tenantIdstringOptional

An identifier used to group different images or biometric templates in a common space.

Example: 57fbc814-3f40-402c-9d29-262f99c3b896
updateAtstringOptional

Date/time value in "%Y-%m-%dT%H:%M:%SZ" format at which a specimen (face) was updated.

Example: 2025-03-18T12:54:02Z
get/faces
GET /faces?tenantId=57fbc814-3f40-402c-9d29-262f99c3b896 HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "createAt": "2024-11-20T15:39:32Z",
    "description": "It's a description of the person",
    "facialTemplateRaw": "QTevT1Lv5jr0rNyzS3u6SAscolMU+bHitq...",
    "id": "6782225b-1793-4b68-a9de-8fdb3628c7e5",
    "mediaId": "9c79c818-b81a-4959-b65a-a2b0c8143528",
    "tenantId": "57fbc814-3f40-402c-9d29-262f99c3b896",
    "updateAt": "2025-03-18T12:54:02Z"
  }
]

Last updated